## START: Set by rpmautospec
## (rpmautospec version 0.8.2)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 4;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%bcond_without check

%global so_version 3

Name:           rubberband
Version:        4.0.0
Release:        %autorelease
Summary:        Audio time-stretching and pitch-shifting utility

License:        GPL-2.0-or-later
URL:            http://www.breakfastquay.com/rubberband/
Source0:        https://breakfastquay.com/files/releases/%{name}-%{version}.tar.bz2
# Two tests fail on ppc64le: https://todo.sr.ht/~breakfastquay/rubberband/29
Patch:          %{name}-disable-failed-ppc64le-tests.diff

BuildRequires:  meson
BuildRequires:  gcc-c++
BuildRequires:  ladspa-devel
BuildRequires:  pkgconfig(fftw3)
BuildRequires:  pkgconfig(lv2)
BuildRequires:  pkgconfig(samplerate)
BuildRequires:  pkgconfig(sndfile)
BuildRequires:  vamp-plugin-sdk-devel
BuildRequires:  boost-devel

# all runtime components were previously packaged together
Recommends:     (ladspa-%{name}-plugins if ladspa)
Recommends:     (lv2-%{name}-plugins if lv2)
Recommends:     (vamp-%{name}-plugins if vamp-plugin-sdk)

%global _description %{expand:
Rubber Band provides an API that permits you to change the
tempo and pitch of an audio recording independently of one another.}

%description    %{_description}

This package provides standalone command-line utilities.

%package        libs
Summary:        Audio time-stretching and pitch-shifting library
Conflicts:      %{name} < %{version}-%{release}

%description    libs %{_description}

This package provides a shared library for use by applications.

%package        devel
Summary:        Development files for %{name}
Requires:       %{name}-libs%{?_isa} = %{version}-%{release}
Requires:       pkgconfig

%description    devel %{_description}

The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%package     -n ladspa-%{name}-plugins
Summary:        LADSPA plugin for audio time-stretching and pitch-shifting
Requires:       ladspa
Conflicts:      %{name} < %{version}-%{release}

%description -n ladspa-%{name}-plugins %{_description}

This package provides a LADSPA plugin.

%package     -n lv2-%{name}-plugins
Summary:        LV2 plugin for audio time-stretching and pitch-shifting
Requires:       lv2
Conflicts:      %{name} < %{version}-%{release}

%description -n lv2-%{name}-plugins %{_description}

This package provides a LV2 plugin.

%package     -n vamp-%{name}-plugins
Summary:        VAMP plugin for audio time-stretching and pitch-shifting
Conflicts:      %{name} < %{version}-%{release}

%description -n vamp-%{name}-plugins %{_description}

This package provides a VAMP plugin.


%prep
%autosetup -p1


%build
%meson \
  -Dfft=fftw \
  -Djni=disabled \
  -Dresampler=libsamplerate
%meson_build


%install
%meson_install
find %{buildroot} -name '*.la' -exec rm -f {} ';'
rm -rf %{buildroot}%{_libdir}/*.a


%if %{with check}
%check
%meson_test
%endif


%files
%license COPYING
%doc README.md
%{_bindir}/rubberband
%{_bindir}/rubberband-r3

%files libs
%license COPYING
%{_libdir}/*.so.%{so_version}*

%files devel
%doc CHANGELOG
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/rubberband.pc

%files -n ladspa-%{name}-plugins
%license COPYING
%doc README.md
%{_libdir}/ladspa/ladspa-rubberband.*
%{_datadir}/ladspa/rdf/ladspa-rubberband.rdf

%files -n lv2-%{name}-plugins
%license COPYING
%doc README.md
%dir %{_libdir}/lv2/rubberband.lv2
%{_libdir}/lv2/rubberband.lv2/*

%files -n vamp-%{name}-plugins
%license COPYING
%doc README.md
%{_libdir}/vamp/vamp-rubberband.*

%changelog
## START: Generated by rpmautospec
* Fri Jul 25 2025 Fedora Release Engineering <releng@fedoraproject.org> - 4.0.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_43_Mass_Rebuild

* Mon Jan 20 2025 Yaakov Selkowitz <yselkowi@redhat.com> - 4.0.0-3
- Separate components into subpackages

* Sat Jan 18 2025 Fedora Release Engineering <releng@fedoraproject.org> - 4.0.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild

* Thu Jan 09 2025 Michel Lind <salimma@fedoraproject.org> - 4.0.0-1
- Update to 4.0.0 upstream release
- Resolves: rhbz#2321868

* Mon Sep 23 2024 Simone Caronni <negativo17@gmail.com> - 3.3.0-8
- Use RPM macros everywhere

* Fri Jul 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 3.3.0-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Wed Jun 12 2024 Michel Lind <salimma@fedoraproject.org> - 3.3.0-6
- Fix directory ownership (rhbz#2283761)

* Wed Jun 12 2024 Michel Lind <salimma@fedoraproject.org> - 3.3.0-5
- Enable Packit

* Thu Mar 28 2024 Marie Loise Nolden <loise@kde.org> - 3.3.0-4
- boost-devel is needed even without check

* Fri Jan 26 2024 Fedora Release Engineering <releng@fedoraproject.org> - 3.3.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Mon Jan 22 2024 Fedora Release Engineering <releng@fedoraproject.org> - 3.3.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Mon Aug 21 2023 Michel Alexandre Salim <salimma@fedoraproject.org> - 3.3.0-1
- Update to 3.3.0
- Use SPDX license identifier

* Fri Jul 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 3.2.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Wed May 10 2023 Michel Alexandre Salim <salimma@fedoraproject.org> - 3.2.1-2
- Disable failed tests on ppc64le

* Wed May 10 2023 Michel Alexandre Salim <salimma@fedoraproject.org> - 3.2.1-1
- Update to 3.2.1

* Fri Jan 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 3.1.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Wed Jan 11 2023 Michel Alexandre Salim <salimma@fedoraproject.org> - 3.1.2-1
- Update to 3.1.2 (fixes: rhbz#2136895)

* Sun Oct 02 2022 Michel Alexandre Salim <salimma@fedoraproject.org> - 3.1.0-2
- Enable tests

* Sun Oct 02 2022 Michel Alexandre Salim <salimma@fedoraproject.org> - 3.1.0-1
- Update to 3.1.0

* Fri Jul 29 2022 Michel Alexandre Salim <salimma@fedoraproject.org> - 3.0.0-2
- Explicitly mark so_version so we know when there's an API compatibility
  break

* Fri Jul 29 2022 Uwe Klotz <uwe.klotz@gmail.com> - 3.0.0-1
- Update to 3.0.0

* Sat Jul 23 2022 Fedora Release Engineering <releng@fedoraproject.org> - 2.0.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Mon Jan 31 2022 Uwe Klotz <uwe.klotz@gmail.com> - 2.0.2-2
- Add LV2 plugin and runtime dependencies

* Sat Jan 29 2022 Michel Alexandre Salim <salimma@fedoraproject.org> - 2.0.2-1
- Update to 2.0.2 (resolves: rhbz#2046184)

* Thu Jan 20 2022 Michel Alexandre Salim <salimma@fedoraproject.org> - 2.0.1-1
- Update to 2.0.1

* Thu Jan 06 2022 Michel Alexandre Salim <salimma@fedoraproject.org> - 2.0.0-2
- Opt in to rpmautospec

* Sat Oct 23 2021 Uwe Klotz <uwe.klotz@gmail.com> - 2.0.0-1
- Update to 2.0.0 (#2016650)

* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> - 1.9.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Wed Jun 09 2021 Uwe Klotz <uwe.klotz@gmail.com> - 1.9.2-1
- Update to 1.9.2

* Thu Apr 08 2021 Uwe Klotz <uwe.klotz@gmail.com> - 1.9.1-2
- Use FFTW instead of KissFFT: https://github.com/breakfastquay/rubberband/issues/37
- Explicitly enable libsamplerate

* Wed Mar 17 2021 Michel Alexandre Salim <salimma@fedoraproject.org> - 1.9.1-1
- Update to 1.9.1

* Wed Jan 27 2021 Fedora Release Engineering <releng@fedoraproject.org> - 1.9.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Tue Nov 17 2020 Michel Alexandre Salim <salimma@fedoraproject.org> - 1.9.0-1
- Update to 1.9.0

* Sat Aug 01 2020 Fedora Release Engineering <releng@fedoraproject.org> - 1.8.2-6
- Second attempt - Rebuilt for
  https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Wed Jul 29 2020 Fedora Release Engineering <releng@fedoraproject.org> - 1.8.2-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Thu Jan 30 2020 Fedora Release Engineering <releng@fedoraproject.org> - 1.8.2-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Fri Jul 26 2019 Fedora Release Engineering <releng@fedoraproject.org> - 1.8.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Sat Feb 02 2019 Fedora Release Engineering <releng@fedoraproject.org> - 1.8.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Wed Oct 17 2018 Michel Alexandre Salim <salimma@fedoraproject.org> - 1.8.2-1
- Update to 1.8.2

* Sat Jul 14 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.8.1-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.8.1-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Thu Aug 03 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.8.1-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Binutils_Mass_Rebuild

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.8.1-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.8.1-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.8.1-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.8.1-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat May 02 2015 Kalev Lember <kalevlember@gmail.com> - 1.8.1-6
- Rebuilt for GCC 5 C++11 ABI change

* Mon Aug 18 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.8.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.8.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.8.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.8.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sun Oct 28 2012 Michel Salim <salimma@fedoraproject.org> - 1.8.1-1
- Update to 1.8.1

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.7.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Tue Feb 28 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.7.0-2
- Rebuilt for c++ ABI breakage

* Tue Jan 31 2012 Michel Salim <salimma@fedoraproject.org> - 1.7.0-1
- Update to 1.7.0

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.6.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Thu Jul 14 2011 Michel Salim <salimma@fedoraproject.org> - 1.6.0-1
- Update to 1.6.0

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.5.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sat Jul  3 2010 Michel Salim <salimma@fedoraproject.org> - 1.5.0-2
- Fixed pkg-config version declaration

* Wed Jun  2 2010 Tom "spot" Callaway <tcallawa@redhat.com> - 1.5.0-1
- update to 1.5.0
- disable static libs

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sun Feb  8 2009 Michel Salim <salimma@fedoraproject.org> - 1.2-3
- Fix compilation problem with GCC 4.4

* Sun Dec 14 2008 Michel Salim <salimma@fedoraproject.org> - 1.2-2
- Rebuild for vamp-plugins-sdk-2.0

* Thu Jul 17 2008 Michel Alexandre Salim <salimma@fedoraproject.org> - 1.2-1
- Update to 1.2

* Sun Mar 30 2008 Michel Salim <michel.sylvan@gmail.com> - 1.0.1-1
- Initial package


## END: Generated by rpmautospec
